public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/dask-expr/
Date: Tue,  2 Apr 2024 05:16:01 +0000 (UTC)	[thread overview]
Message-ID: <1712031867.ef49ba40fb0024cf10eb6c3261ada29adb9ba05d.mgorny@gentoo> (raw)

commit:     ef49ba40fb0024cf10eb6c3261ada29adb9ba05d
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Apr  2 04:24:27 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Apr  2 04:24:27 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ef49ba40

dev-python/dask-expr: Bump to 1.0.6

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/dask-expr/Manifest               |  1 +
 dev-python/dask-expr/dask-expr-1.0.6.ebuild | 63 +++++++++++++++++++++++++++++
 2 files changed, 64 insertions(+)

diff --git a/dev-python/dask-expr/Manifest b/dev-python/dask-expr/Manifest
index 405afc85cc32..7c4197ffc6bd 100644
--- a/dev-python/dask-expr/Manifest
+++ b/dev-python/dask-expr/Manifest
@@ -1,2 +1,3 @@
 DIST dask-expr-1.0.1.gh.tar.gz 233058 BLAKE2B 2e5f64b75e4786e66b6ccab73af8e4a2fa5f7a3dce9cdce801769a2d85d28a0f7657c306f7e8d3458490391dcb9ae967d344832fcd530ef25fd7ee7c747a89b4 SHA512 c779f0e8e8a7a9ed650f58f4900950b72a4915c899dffa2641f707d8db1537213ea67bafc983fb28e50d16e894e8f9d11db9ae77cee9131b273f7aa8e98e6e7c
 DIST dask-expr-1.0.5.gh.tar.gz 239409 BLAKE2B 0fae8540f40cbdead823f300a68df239bb838bb88d34c000b6d29ee451609a4cfc4422586cbf1fc3d2e10b50ffab6e8a2414c14c00635d929d92d7e40b1abff5 SHA512 3baf9e1aca78bc8158bce0e6beb323e511fa5717578bb10bfce27ec38a8f7b6e25b21edeffc669a1ac5f4a987dbbd948bba0f4375f3c5b329d13fab7093708ea
+DIST dask-expr-1.0.6.gh.tar.gz 241469 BLAKE2B 1b73050a19a2050bda507aaabe379dc3d65e1ee631da2eda55152bb544cccc1429da9503731a9a751b63914e7cbe6501ae7736550952b2273e3ba7fca9e61ae1 SHA512 f69efb9a2fe3382715c5e358765e28995fbca7b1eb21f7564d61ae114b50cb76c145f0ce381a09232e589dab1df8ef72c30d166881f54e4f7497eb31a9fff8ea

diff --git a/dev-python/dask-expr/dask-expr-1.0.6.ebuild b/dev-python/dask-expr/dask-expr-1.0.6.ebuild
new file mode 100644
index 000000000000..c6b7e06e8a2f
--- /dev/null
+++ b/dev-python/dask-expr/dask-expr-1.0.6.ebuild
@@ -0,0 +1,63 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="High Level Expressions for Dask"
+HOMEPAGE="
+	https://github.com/dask/dask-expr/
+	https://pypi.org/project/dask-expr/
+"
+# pypi tarball removes tests, as of 1.0.1
+SRC_URI="
+	https://github.com/dask/dask-expr/archive/v${PV}.tar.gz
+		-> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv"
+
+RDEPEND="
+	>=dev-python/dask-2024.4.0[${PYTHON_USEDEP}]
+	>=dev-python/pyarrow-7.0.0[${PYTHON_USEDEP}]
+	>=dev-python/pandas-2[${PYTHON_USEDEP}]
+"
+# TODO: make pandas depend on pyarrow unconditionally?  we're having
+# transitive deps here.
+BDEPEND="
+	dev-python/versioneer[${PYTHON_USEDEP}]
+	test? (
+		dev-libs/apache-arrow[parquet,snappy]
+		dev-python/pyarrow[parquet,${PYTHON_USEDEP}]
+	)
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+	# unpin
+	sed -i -e '/dask/s:==:>=:' pyproject.toml || die
+	distutils-r1_src_prepare
+}
+
+python_test() {
+	local EPYTEST_DESELECT=(
+		# requires distributed
+		'dask_expr/tests/test_shuffle.py::test_respect_context_shuffle[shuffle]'
+	)
+	local EPYTEST_IGNORE=(
+		# requires distributed
+		dask_expr/io/tests/test_parquet.py
+		dask_expr/tests/test_diagnostics.py
+	)
+
+	local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+	epytest
+}


             reply	other threads:[~2024-04-02  5:16 UTC|newest]

Thread overview: 16+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-04-02  5:16 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-01  4:06 [gentoo-commits] repo/gentoo:master commit in: dev-python/dask-expr/ Michał Górny
2024-04-26 18:55 Michał Górny
2024-04-20  5:40 Michał Górny
2024-04-20  5:40 Michał Górny
2024-04-10  5:36 Michał Górny
2024-04-05 19:45 Michał Górny
2024-04-03  6:02 Michał Górny
2024-03-30 17:02 Arthur Zamarin
2024-03-28 16:46 Michał Górny
2024-03-17 16:41 Michał Górny
2024-03-15 12:29 Jakov Smolić
2024-03-13 15:03 Arthur Zamarin
2024-03-13 12:43 Michał Górny
2024-03-13 11:44 Michał Górny
2024-03-12 17:51 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1712031867.ef49ba40fb0024cf10eb6c3261ada29adb9ba05d.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox